package com.elab.redis.config.props;

import java.util.Map;

/**
 * 配置更新
 *
 * @author liukaixiong
 * @Email liukx@elab-plus.com
 */
public class ConfigRefreshProperties {

    /**
     * 是否开启配置更新
     */
    private boolean enable = false;

    /**
     * 配置更新的缓存的key
     */
    private String configRefreshCacheKey = "config-refresh";

    /**
     * 缓存推送的topic的key
     */
    private String configPushCacheKey;

    private Map<String, String> defaultConfig;

    public String getConfigRefreshCacheKey() {
        return configRefreshCacheKey;
    }

    public void setConfigRefreshCacheKey(String configRefreshCacheKey) {
        this.configRefreshCacheKey = configRefreshCacheKey;
    }

    public Map<String, String> getDefaultConfig() {
        return defaultConfig;
    }

    public void setDefaultConfig(Map<String, String> defaultConfig) {
        this.defaultConfig = defaultConfig;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public String getConfigPushCacheKey() {
        return configPushCacheKey;
    }

    public void setConfigPushCacheKey(String configPushCacheKey) {
        this.configPushCacheKey = configPushCacheKey;
    }
}
